Skip to content

Get a report template

GET
/api/v1/reports/templates/{template_id}
curl --request GET \
--url https://api.ultimateteam.ai/api/v1/reports/templates/example \
--header 'X-API-Key: <X-API-Key>'

Get a single report template by ID. Returns 404 if the template does not belong to the caller’s tenant.

template_id
required
Template Id
string

Successful Response

Media typeapplication/json
Response Get Report Template Api V1 Reports Templates Template Id Get
object
key
additional properties
any
Examplegenerated
{}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}